Bug 523265 - man useradd is incorrect
man useradd is incorrect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 650162 674878
  Show dependency treegraph
 
Reported: 2009-09-14 12:27 EDT by Alexander Todorov
Modified: 2011-02-13 03:52 EST (History)
2 users (show)

See Also:
Fixed In Version: shadow-utils-4.1.4.2-11.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 650162 (view as bug list)
Environment:
Last Closed: 2011-02-13 03:52:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-09-14 12:27:47 EDT
Description of problem:
The man page for useradd command says:

-m --create-home
By default, no home directories are created.

while /etc/login.defs has 

CREATE_HOME yes

The comments in login.defs make it clear that on RH systems home directories are always created by default. Man page says the opposite.

Version-Release number of selected component (if applicable):
shadow-utils-4.1.4.1

How reproducible:
Always
Comment 1 Bug Zapper 2009-11-16 07:22:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 06:02:33 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Alexander Todorov 2010-11-05 08:52:32 EDT
I think this is still true (at least on RHEL6).
Comment 4 Fedora Update System 2011-02-10 05:51:13 EST
shadow-utils-4.1.4.2-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/shadow-utils-4.1.4.2-11.fc14
Comment 5 Fedora Update System 2011-02-10 16:29:55 EST
shadow-utils-4.1.4.2-11.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shadow-utils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/shadow-utils-4.1.4.2-11.fc14
Comment 6 Fedora Update System 2011-02-13 03:52:45 EST
shadow-utils-4.1.4.2-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.